package com.gree.mall.miniapp.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsRefTypeEnum implements BaseEnum {
    SALES("SALES","销售"),
    CHANGE_SALES("CHANGE_SALES","新件转销售"),
    NEW_REFUND("NEW_REFUND","新件返还"),
    OLD_REFUND("OLD_REFUND","旧件返还"),
    OUTSIDE_TO_SALES("OUTSIDE_TO_SALES","保外新件转销售"),

    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
